| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Packet Filter Rule

Packet Filter Rule Definitions and Methods. More...

## Classes
struct | unsp__PFR
| Packet Filter Rule. More...
struct | unsp__CreatePFRRequest
| Create Packet Filter Rule request. More...
struct | unsp__CreatePFRResult
| Create Packet Filter Rule result. More...
struct | unsp__ModifyPFRRequest
| Modify Packet Filter Rule request. More...
struct | unsp__ModifyPFRResult
| Modify Packet Filter Rule result. More...
struct | unsp__DeletePFRRequest
| Delete Packet Filter Rule request. More...
struct | unsp__DeletePFRResult
| Delete Packet Filter Rule result. More...
struct | unsp__QueryPFRRequest
| Query Packet Filter Rule request. More...
struct | unsp__QueryPFRElement
| Packet Filter Rule Element. More...
struct | unsp__QueryPFRList
| Packet Filter Rule List. More...
struct | unsp__QueryPFRResult
| Query Packet Filter Rule result. More...
struct | unsp__GetPFRSymbolicNameListRequest
| Get Packet Filter Rule Symbolic Name List request. More...
struct | unsp__IPAddressElement
| IP Address Element. More...
struct | unsp__AliasElement
| Alias Element. More...
struct | unsp__PFRSymbolicNameElement
| Packet Filter Rule Symbolic Name Element. More...
struct | unsp__PFRSymbolicNameList
| Packet Filter Rule Symbolic Name List. More...
struct | unsp__GetPFRSymbolicNameListResult
| Get Packet Filter Rule Symbolic Name List result. More...

## Enumerations
enum | unsp__TransportProtocol { PROTO_ICMP, PROTO_UDP, PROTO_TCP, PROTO_ALL, PROTO_ESP, PROTO_AH, PROTO_SCTP, PROTO_ICMPV6 }
| Packet Filter Rule Transport Protocol. More...
enum | unsp__PFRDirection { DIR_INCOMING, DIR_OUTGOING, DIR_BOTH_WAYS }
| Packet Filter Rule Direction. More...
enum | unsp__PFRAction { ACTION_ALLOW, ACTION_DROP }
| Packet Filter Rule Action. More...
enum | unsp__QueryPFRSortType { SortBy_Name, SortBy_LocalAlias, SortBy_LocalPortBegin, SortBy_LocalPortEnd }
| Packet Filter Rule Sort Type. More...

## Functions
int | unsp__CreatePFR (struct unsp__CreatePFRRequest CreatePFRRequest, struct unsp__CreatePFRResult *CreatePFRResult)
| Creates a Packet Filter Rule. More...
int | unsp__ModifyPFR (struct unsp__ModifyPFRRequest ModifyPFRRequest, struct unsp__ModifyPFRResult *ModifyPFRResult)
| Modifies a Packet Filter Rule. More...
int | unsp__DeletePFR (struct unsp__DeletePFRRequest DeletePFRRequest, struct unsp__DeletePFRResult *DeletePFRResult)
| Deletes a Packet Filter Rule. More...
int | unsp__QueryPFR (struct unsp__QueryPFRRequest QueryPFRRequest, struct unsp__QueryPFRResult *QueryPFRResult)
| Returns a list of information for packet filter rules on Openscape Voice. More...
int | unsp__GetPFRSymbolicNameList (struct unsp__GetPFRSymbolicNameListRequest GetPFRSymbolicNameListRequest, struct unsp__GetPFRSymbolicNameListResult *GetPFRSymbolicNameListResult)
| Returns information for the PFR symbolic names on OpenScape Voice. More...

## Detailed Description

Packet Filter Rule Definitions and Methods.

Packet filtering is used to provide rudimentary firewall protection for OpenScape Voice application software. This mechanism blocks traffic to the OpenScape Voice system, except on those specific IP addresses and ports that are required to be accessible. OpenScape Voice allows for the creating, displaying, and modifying of packet filter rules.

## Enumeration Type Documentation

## ◆ unsp__PFRAction

enum unsp__PFRAction

Packet Filter Rule Action.

Enumerator
ACTION_ALLOW | Allow.
ACTION_DROP | Drop.

## ◆ unsp__PFRDirection

enum unsp__PFRDirection

Packet Filter Rule Direction.

Enumerator
DIR_INCOMING | Incoming.
DIR_OUTGOING | Outgoing.
DIR_BOTH_WAYS | Incoming and Outgoing.

## ◆ unsp__QueryPFRSortType

enum unsp__QueryPFRSortType

Packet Filter Rule Sort Type.

Enumerator
SortBy_Name | Sort By Name.
SortBy_LocalAlias | Sort By Local Alias.
SortBy_LocalPortBegin | Sort By Local Port Begin.
SortBy_LocalPortEnd | Sort By Local Port End.

## ◆ unsp__TransportProtocol

enum unsp__TransportProtocol

Packet Filter Rule Transport Protocol.

Enumerator
PROTO_ICMP | ICMP.
PROTO_UDP | UDP.
PROTO_TCP | TCP.
PROTO_ALL | All.
PROTO_ESP | ESP.
PROTO_AH | AH.
PROTO_SCTP | SCTP.
PROTO_ICMPV6 | ICMP V6.

## Function Documentation

## ◆ unsp__CreatePFR()

unsp__CreatePFR | ( | struct unsp__CreatePFRRequest | CreatePFRRequest,
|  | struct unsp__CreatePFRResult * | CreatePFRResult
| ) |  |

Creates a Packet Filter Rule.

Parameters

  CreatePFRRequest | API request
  CreatePFRResult | API result MP2 command: CPFR [Attributes]

## ◆ unsp__DeletePFR()

unsp__DeletePFR | ( | struct unsp__DeletePFRRequest | DeletePFRRequest,
|  | struct unsp__DeletePFRResult * | DeletePFRResult
| ) |  |

Deletes a Packet Filter Rule.

Parameters

  DeletePFRRequest | API request
  DeletePFRResult | API result MP2 command: DPFR [Attributes]

## ◆ unsp__GetPFRSymbolicNameList()

unsp__GetPFRSymbolicNameList | ( | struct unsp__GetPFRSymbolicNameListRequest | GetPFRSymbolicNameListRequest,
|  | struct unsp__GetPFRSymbolicNameListResult * | GetPFRSymbolicNameListResult
| ) |  |

Returns information for the PFR symbolic names on OpenScape Voice.

Parameters

  GetPFRSymbolicNameListRequest | API request
  GetPFRSymbolicNameListResult | API result

## ◆ unsp__ModifyPFR()

unsp__ModifyPFR | ( | struct unsp__ModifyPFRRequest | ModifyPFRRequest,
|  | struct unsp__ModifyPFRResult * | ModifyPFRResult
| ) |  |

Modifies a Packet Filter Rule.

Parameters

  ModifyPFRRequest | API request
  ModifyPFRResult | API result MP2 command: MPFR [Attributes]

## ◆ unsp__QueryPFR()

unsp__QueryPFR | ( | struct unsp__QueryPFRRequest | QueryPFRRequest,
|  | struct unsp__QueryPFRResult * | QueryPFRResult
| ) |  |

Returns a list of information for packet filter rules on Openscape Voice.

Parameters

  QueryPFRRequest | API request
  QueryPFRResult | API result